/*
	DooM/HereTic/HeXen/StriFe INFO.c processors, by Frans P. de Vries.

Derived from:

	DooM MaP StaTistics, by Frans P. de Vries.

	You are allowed to use any parts of this code in another program, as
	long as you give credits to the authors in the documentation and in
	the program itself.  Read the file README for more information.

	This program comes with absolutely no warranty.

	STUB.C - Common code for stubs.
*/

#include "stub.h"

/*
	the global variables
*/
char funcname[30];
int spawns[MAXSPAWN] = {-1, -1, -1, -1, -1, -1, -1, -1, -1, -1};

void Spawn(int mobj)
{
	int i;

	for (i = 0; i < MAXSPAWN && spawns[i] != -1; i++)
		if (spawns[i] == mobj)
			break;
	spawns[i] = mobj;
}

/* vim:set noexpandtab tabstop=2 softtabstop=2 shiftwidth=2: */
